options pagesize=100 linesize=200 compress=yes nocenter NODATE NONUMBER MPRINT MLOGIC;
      
libname out     'C:\Fred\AHS_03_05'; 
******************************************************************************************;
/*1.	
1.	Merge the 2003 and 2005 files, using the flat files.  (N= 75,807)  
Keep units that appear in both years (54,944) and in the 2005 file only (4,367).  
*/
******************************************************************************************;


/* proc sort data= OUT.NEW_AHS2003; by control; run;  
proc sort data= OUT.AHS2005; by control; run; 

DATA OUT.BOTH_AHS2003_AHS2005; MERGE OUT.NEW_AHS2003 (IN=ID3) 
 OUT.AHS2005 (IN=ID5); BY CONTROL;

IF ID3=1 AND ID5=1 THEN MATCH=1;
IF ID3=1 AND ID5=0 THEN MATCH=2;
IF ID3=0 AND ID5=1 THEN MATCH=3;

RUN;

proc freq data=OUT.BOTH_AHS2003_AHS2005;table match;run;*/
******************************************************************************************;


DATA BOTH_AHS2003_AHS2005_1; SET OUT.BOTH_AHS_03_05_REDUCED;
IF MATCH=1 OR MATCH=3 ;N=1; RUN;

/*PROC MEANS DATA=BOTH_AHS2003_AHS2005_1 N SUM ; VAR  IN03_PWT IN03_WGT90GEO; RUN;*/

******************************************************************************************;
/*2.	Delete cases where: 

a.	((IN05_NUNIT2 = 4 OR IN05_ASSTSERV = 1) AND IN05_REUAD = 11).    
(1,548)  
These deletions eliminate the mobile homes and special living facilities 
added to the 2005 sample.  

b.	(10 LE IN05_NOINT LE 38) (2,621) These are type B or type C losses in 2005.  
These units are not part of the 2005 stock and therefore we do not track them backwards.

c.	(IN05_NOINT=39).  (188) These observations that were deleted in the 2005 
prelist subsampling and therefore are are not part of the 2005 stock.

d. (1 LE IN03_ISTATUS LE 3 AND 3 LE IN05_REUAD LE 11 )
*/

******************************************************************************************;
/* 	Find the count in 2(a), 2b), and 2(c) */

DATA A_2; SET 	BOTH_AHS2003_AHS2005_1;
IF  ((IN05_NUNIT2 = '4' OR IN05_ASSTSERV = '1') AND IN05_REUAD = 11);RUN;
PROC FREQ DATA=A_2 ; TABLE N; RUN;	

DATA B_2; SET 	BOTH_AHS2003_AHS2005_1;
IF (10 LE IN05_NOINT LE 38) ; RUN;
PROC FREQ DATA=B_2 ; TABLE N; RUN;	

DATA C_2; SET 	BOTH_AHS2003_AHS2005_1;
IF ( IN05_NOINT =39) ; RUN;
PROC FREQ DATA=C_2 ; TABLE N; RUN;	

DATA D_2; SET 	BOTH_AHS2003_AHS2005_1;
IF  (IN03_ISTATUS='1' OR IN03_ISTATUS='2' OR IN03_ISTATUS='3') AND (3 LE IN05_REUAD LE 11); RUN;

PROC FREQ DATA=D_2 ; TABLE N; RUN;

PROC PRINT DATA= D_2; VAR CONTROL IN03_ISTATUS IN05_REUAD; RUN;

DATA BOTH_AHS2003_AHS2005_2; SET BOTH_AHS2003_AHS2005_1;
IF  ((IN05_NUNIT2 = '4' OR IN05_ASSTSERV = '1') AND IN05_REUAD = 11) THEN DELETE; 

IF (10 LE IN05_NOINT LE 38) THEN DELETE;

IF (IN05_NOINT=39) THEN DELETE;

IF (IN03_ISTATUS='1' OR IN03_ISTATUS='2' OR IN03_ISTATUS='3') AND (3 LE IN05_REUAD LE 11)
THEN DELETE;RUN;

******************************************************************************************;


/*3.	For all units let MXPWT = max (IN05_PWT, IN03_PWT).   
(PWT is the pure weight). In general, the pure weights should not differ 
except in the six metropolitan areas with added sample in 2003 but not 2005.   
If there were an unusually low IN03_PWT for one or more observations, 
this step would adjust for that low value. */

******************************************************************************************;

DATA BOTH_AHS2003_AHS2005_2;SET  BOTH_AHS2003_AHS2005_2;
MXPWT = max(IN05_PWT, IN03_PWT);RUN;
******************************************************************************************;
/*4.Adjust the pure weights for manufactured (mobile) homes dropped in step 2.  

a.From the 2005 file before merger, compute a pure weight count of mobile homes 
(MOBILEPURETOTAL = 6,768,943.37 ) by summing PWT for cases where IN05_NUNIT2 = 4. 

b.From merged file, compute a pure weight count of mobile homes that are in 
both years (MOBILEPUREKEPT = 3,771,372.09) by summing MXPWT for cases where 
IN03_NUNIT2 = 4. 

c.Adjust the pure weights of all manufactured (mobile). 
IF IN03_NUNIT2 = 4, 
MXPWT = MXPWT*(MOBILEPURETOTAL/MOBILEPUREKEPT)
MXPWT = MXPWT*( 1.79482247 )

*/
******************************************************************************************;
DATA SET1; SET OUT.BOTH_AHS_03_05_REDUCED ;IF MATCH=1 OR MATCH=3;
IF (IN05_NUNIT2 = '4'); RUN;
PROC MEANS DATA=SET1 N SUM ; VAR IN05_PWT; RUN;

DATA SET2; SET BOTH_AHS2003_AHS2005_2  ; IF MATCH=1;
IF (IN05_NUNIT2 = '4'); RUN;

PROC MEANS DATA=SET2 N SUM ; VAR MXPWT; RUN;

*****************************************************************************************;

DATA BACKWARD_AHS2003_2005 ; SET BOTH_AHS2003_AHS2005_2;


IF (IN05_NUNIT2 = '4') THEN MXPWT = MXPWT*(6768943.37/3771372.09);RUN;

*****************************************************************************************;
/*
5.Obtain an estimate of the 2005 stock (CURRENTCOUNT) from the AHS publication for 2005. 
 CURRENTCOUNT= 124,377,000


*/
******************************************************************************************;
/*6.	Compute SMXPWT = sum of MXPWT after step 4; this sum is a first estimate of 
the size of the housing stock based on the units retained for analysis. 
N= 55,173 and  SMXPWT = 121,728,804 */
******************************************************************************************;

PROC MEANS DATA=BACKWARD_AHS2003_2005 N SUM ; VAR MXPWT; RUN;

******************************************************************************************;
/*7.	Compute a BLCINCHWT = MXPWT*(CURRENTCOUNT/SMXPWT).  
This computation ratios the weights up so that they sum to the 2003 stock. 
BLCINCHWT = MXPWT*(/SMXPWT)      SUM OF BLCINCHWT=124377000
*/
******************************************************************************************;

DATA BACKWARD_AHS2003_2005 ;SET BACKWARD_AHS2003_2005;

CURRENTCOUNT=124377000;     /* FROM PUBLISHED NUMBERS*/
SMXPWT=121728804;      /*SMXPWT=sum of MXPWT after step 4 */
BLCINCHWT = MXPWT*(CURRENTCOUNT/SMXPWT); RUN;

******************************************************************************************;

PROC MEANS DATA=BACKWARD_AHS2003_2005 N SUM ; VAR BLCINCHWT ; RUN;
******************************************************************************************;

/*
8.	Identify sames, new construction, interviewed new construction, 
other adds, and interviewed other adds: 

a.	SAME=1 if IN03_ISTATUS = 1, 2, or 3 AND IN05_ISTATUS = 1, 2, OR 3

b.	NC = 1 if  IN05_ISTATUS=1, 2, 3, or 4 AND ((IN05_REUAD = 3) OR 
        (10 LE IN03_NOINT LE 11))

c.	INTNC = 1 IF NC=1 AND IN05_ISTATUS=1, 2, or 3

d.	ADD = 1 if  IN05_ISTATUS=1, 2, 3, or 4 AND ((4 LE IN05_REUAD LE 11) 
        OR (12 LE IN03_NOINT LE 17)) 

e.	INTADD = 1 if  ADD =1 AND IN05_ISTATUS=1, 2, OR 3 

*/

******************************************************************************************;

DATA BACKWARD_AHS2003_2005 ;SET BACKWARD_AHS2003_2005;

SAME=0;
 IF (IN03_ISTATUS='1' OR IN03_ISTATUS='2' OR IN03_ISTATUS='3')
 AND (IN05_ISTATUS='1' OR IN05_ISTATUS='2' OR IN05_ISTATUS='3')
 THEN SAME=1;

NC=0;
 IF (IN05_ISTATUS='1' OR IN05_ISTATUS='2' OR IN05_ISTATUS='3' OR IN05_ISTATUS='4')
 AND ((IN05_REUAD=3 ) OR (10 LE IN03_NOINT LE 11 )) THEN NC=1;

INTNC=0;
IF (IN05_ISTATUS='1' OR IN05_ISTATUS='2' OR IN05_ISTATUS='3')
 AND NC=1  THEN INTNC=1; 

ADD=0;
 IF (IN05_ISTATUS='1' OR IN05_ISTATUS='2' OR IN05_ISTATUS='3' OR IN05_ISTATUS='4')
 AND ((12 LE IN03_NOINT LE 17) OR (4 LE IN05_REUAD LE 11)) THEN ADD=1;

INTADD=0;
IF (IN05_ISTATUS='1' OR IN05_ISTATUS='2' OR IN05_ISTATUS='3')
 AND ADD=1 THEN INTADD=1;RUN;


************************************************************************************;
/*
9.	Calculate:

a.	SSAME = sum of BLCINCHWT for all SAME = 1 (100,931,247 with N = 44539)

b.	SNC = sum of BLCINCHWT for NC =1 (3,005,747.05 with N = 1447)

c.	SINTNC = sum of BLCINCHWT for INTNC=1 (2,983,249.83 with N =1435)

d.	SADD = sum of BLCINCHWT for ADD =1 (1,549,693.37 with N = 648)

e.	SINTADD=  sum of BLCINCHWT for INTADD = 1 (1,529,269.19 with N =637)

 */
************************************************************************************;
DATA SAME1; SET BACKWARD_AHS2003_2005  ; IF SAME=1; RUN;
PROC SORT DATA=SAME1; BY N;RUN;

PROC MEANS DATA=SAME1 N SUM ; VAR BLCINCHWT ;BY N; 
OUTPUT OUT=S1 SUM=SSAME; RUN; 

PROC SORT DATA=S1; BY N;RUN;

DATA ADD1; SET BACKWARD_AHS2003_2005 ; IF ADD=1; RUN;

PROC MEANS DATA=ADD1 N SUM ; VAR BLCINCHWT;BY N;
OUTPUT OUT=S2 SUM=SADD; RUN; 

PROC SORT DATA=S2; BY N;RUN;

DATA INTADD1 ; SET BACKWARD_AHS2003_2005 ; IF INTADD =1; RUN;

PROC MEANS DATA=INTADD1 N SUM ; VAR BLCINCHWT;BY N;
OUTPUT OUT=S3 SUM=SINTADD; RUN; 

PROC SORT DATA=S3; BY N;RUN;

DATA NC1 ; SET BACKWARD_AHS2003_2005 ; IF NC =1; RUN;

PROC MEANS DATA=NC1 N SUM ; VAR BLCINCHWT;BY N;
OUTPUT OUT=S4 SUM=SNC; RUN; 

PROC SORT DATA=S4; BY N;RUN;

DATA INTNC1 ; SET BACKWARD_AHS2003_2005 ; IF INTNC =1; RUN;

PROC MEANS DATA=INTNC1 N SUM ; VAR BLCINCHWT;BY N;
OUTPUT OUT=S5 SUM=SINTNC; RUN; 

PROC SORT DATA=S5; BY N;RUN;
PROC SORT DATA=BACKWARD_AHS2003_2005 ; BY N;RUN;
*********************************************************************************;
/*10.	Eliminate from subsequent analysis all observations that were 2003 
or 2005 type A noninterviews.  We cannot use the noninterviews because there 
is no information on the characteristics of these units.  
However, we retain them until this point so that we can get good estimates 
of the number of recoveries (SADD) and the number of newly constructed units (SNC).

11.	Calculate:

a.	Ratio1 = (CURRENTCOUNT  (SADD + SNC))/SSAME 
(124,377.000  (1,549,693.37 +3,005,747.05))/100,931,247 = 1.1871602 )

b.	Ratio2 = SNC/SINTNC (3,005,747.05/2,983,249.83 = 1.0075412)

c.	Ratio3 = SADD/SINTADD (1,549,693.37/1,529,269.19 = 1.013355)

{The ratios from the 2001/2003 analysis were: 1.17, 1.01, and 1.02.}

12.	Recalculate BLCINCHWT as follows:

a.	For SAME = 1,     BLCINCHWT = Ratio1*BLCINCHWT

b.	For INTNC= 1,    BLCINCHWT = Ratio2*BLCINCHWT

c.	For INTADD = 1, BLCINCHWT = Ratio3*BLCINCHWT



*/
*********************************************************************************;
DATA BACKWARD_AHS2003_2005 ; MERGE BACKWARD_AHS2003_2005  S1 S2 S3 S4 S5; BY N;

RATIO1=(CURRENTCOUNT- (SADD+SNC))/SSAME;
RATIO2=SNC/SINTNC;
RATIO3=SADD/SINTADD;
IF (1 LE IN03_NOINT LE 6) OR (1 LE IN05_NOINT LE 6) THEN DELETE; 

IF SAME=1   THEN BLCINCHWT=BLCINCHWT*RATIO1;
IF INTNC=1  THEN BLCINCHWT=BLCINCHWT*RATIO2;
IF INTADD=1 THEN BLCINCHWT=BLCINCHWT*RATIO3;

IF (SAME=0 AND INTNC=0 AND INTADD=0) THEN DELETE;
RUN;
********************************************************************************;
PROC MEANS DATA=BACKWARD_AHS2003_2005   MEAN ;VAR RATIO1 RATIO2 RATIO3;RUN;
********************************************************************************;
/*13.	From published reports obtain estimated 2005 counts for all 
owner-occupied units, all renter-occupied units, all vacant units, and all seasonal units.   




		2005	Sum of BLCINCHWT	Ratio Adjustment	2001/2003 Ratio
Housing Stock	124,377,000	124,374,776		
Occupied	108,871,000	106,164,137.9		
   Owner-    
Occupied	74,931,000	73,268,526.95	1.022690139	1.012
   Renter	33,940,000	32,895,610.96	1.031749	1.038
Vacant		11,660,000	14,363,304.80	0.811791	0.840
Seasonal	3,845,000	3,847,333.13	0.999394	1.034


Calculate:


a.Sum BLCINCHWT for all SAME = 1 or INTLOSS = 1 in which IN05_ISTATUS = 1 
(occupied units) AND IN05_TENURE = 1 (owner-occupied units).(73268526.95)  
Raito adjust the BLCINCHWT for these observations so that they sum to 
the published total for owner-occupied units. 


b.Sum BLCINCHWT for all SAME = 1 or INTLOSS = 1 in which IN05_ISTATUS = 1 
(occupied units) AND (2 LE IN05_TENURE LE 3) (renter-occupied units). 
(32895610.96) 
Ratio adjust the BLCINCHWT for these observations so that they sum to the 
published total for renter-occupied units. 

c.Sum BLCINCHWT for all SAME = 1 or INTLOSS = 1 in which 
(IN05_ISTATUS='2' OR IN05_ISTATUS='3') AND NOT(8 LE IN05_VACANCY LE 10) 
(URE and vacant units).  (14363304.80)
Ratio adjust the BLCINCHWT for these observations so that they sum to 
the published total for vacant units.

d.Sum BLCINCHWT for all SAME = 1 or INTLOSS = 1 in which 
(IN05_ISTATUS='2' OR IN05_ISTATUS='3') AND (8 LE IN05_VACANCY LE 10) 
(Seasonal units). (3847333.13)
 Ratio adjust the BLCINCHWT for these observations 
so that they sum to the published total for seasonal units. 


*/
********************************************************************************;
DATA BACKWARD_AHS2003_2005  ; SET BACKWARD_AHS2003_2005 ; 

IF (IN05_ISTATUS='1' AND IN05_TENURE = 1)  THEN GROUP=1;
/* (owner-occupied units) */

IF (IN05_ISTATUS='1' AND (IN05_TENURE='2' OR IN05_TENURE='3'))  THEN GROUP=2;
/*(renter-occupied units) */

IF (IN05_ISTATUS='2' OR IN05_ISTATUS='3') AND (NOT(8 LE IN05_VACANCY LE 11))
 THEN GROUP=3; /*(URE and vacant units) */

IF (IN05_ISTATUS='2' OR IN05_ISTATUS='3') AND (8 LE IN05_VACANCY LE 11)
 THEN GROUP=4;  /* (Seasonal units)*/
 RUN;

PROC FREQ DATA=BACKWARD_AHS2003_2005 ; TABLE GROUP; RUN;
PROC SORT DATA=BACKWARD_AHS2003_2005 ; BY GROUP; RUN;

PROC MEANS DATA=BACKWARD_AHS2003_2005  SUM N ; VAR  BLCINCHWT; BY GROUP;
OUTPUT OUT=G SUM=SUM_BW; RUN;

PROC SORT DATA=G; BY GROUP; RUN;
PROC SORT DATA=BACKWARD_AHS2003_2005 ; BY GROUP; RUN;
*************************************************************************************;
DATA BACKWARD_AHS2003_2005 ; MERGE BACKWARD_AHS2003_2005  G; BY GROUP; 

IF GROUP=1 THEN

BLCINCHWT=BLCINCHWT*(74931000/SUM_BW);

IF GROUP=2 THEN

BLCINCHWT=BLCINCHWT*(33940000/SUM_BW);

IF GROUP=3 THEN

BLCINCHWT=BLCINCHWT*(11660000/SUM_BW);

IF GROUP=4 THEN

BLCINCHWT=BLCINCHWT*(3845000/SUM_BW);RUN;

DATA BACKWARD_AHS2003_2005; SET BACKWARD_AHS2003_2005;

DROP  _FREQ_  _TYPE_ CURRENTCOUNT SMXPWT SSAME
SADD SINTADD SNC SINTNC RATIO1 RATIO2 RATIO3 SUM_BW ;RUN;

PROC MEANS DATA=BACKWARD_AHS2003_2005 N SUM ;VAR  BLCINCHWT; BY GROUP; RUN;

***********************************************************************************;

DATA SAME1; SET BACKWARD_AHS2003_2005; IF SAME=1; RUN;

PROC MEANS DATA=SAME1 N SUM ; VAR   BLCINCHWT  ; RUN; 

DATA ADD1; SET BACKWARD_AHS2003_2005; IF ADD=1; RUN;

PROC MEANS DATA=ADD1 N SUM ; VAR  BLCINCHWT; RUN; 

DATA INTADD1 ; SET BACKWARD_AHS2003_2005; IF INTADD =1; RUN;

PROC MEANS DATA=INTADD1 N SUM ; VAR  BLCINCHWT; RUN; 

DATA NC1 ; SET BACKWARD_AHS2003_2005; IF NC =1; RUN;

PROC MEANS DATA=NC1 N SUM ; VAR  BLCINCHWT; RUN; 

DATA INTNC1 ; SET BACKWARD_AHS2003_2005; IF INTNC =1; RUN;

PROC MEANS DATA=INTNC1 N SUM ; VAR  BLCINCHWT; RUN; 

/*
******************************************************************************;
PROC FREQ DATA=BACKWARD_AHS2003_2005; TABLE IN05_REUAD*IN03_NOINT 
SAME*INTADD SAME*INTNC INTADD*INTNC IN03_ISTATUS*IN05_REUAD 
IN03_ISTATUS*IN03_NOINT/NOPERCENT NOCOL NOROW;RUN;*/
/*
At the end, please do an unweighted and a weighted count of 2005 
units that meet each of the following conditions:

IN05_NUNIT2 = 1

IN05_NUNIT2 = 4

15.	Check on the estimate of mobile homes:

	        2005
Published	2005
Estimate
Single-unit, detached	       77,703,000	
Manufactured (mobile) home	8,630,000	


Here are the same numbers from the 2001/2003 backward-looking analysis:

	2003
Published	2003
Estimate
Single-unit, detached	74,916,000	75,793,000
Manufactured (mobile) home	8,971,000	7,925,000

*/

DATA SET1; SET BACKWARD_AHS2003_2005; IF IN05_NUNIT2 = '1'; RUN;

TITLE ' COUNT AND WEIGHTED SUM OF UNITS WHERE IN05_NUNIT2 = 1';RUN;

PROC MEANS DATA=SET1 N SUM ; VAR BLCINCHWT  ; RUN;

DATA SET2; SET BACKWARD_AHS2003_2005; IF IN05_NUNIT2 = '4'; RUN;

TITLE ' COUNT AND WEIGHTED SUM OF UNITS WHERE IN05_NUNIT2 = 4';RUN;

PROC MEANS DATA=SET2 N SUM ; VAR BLCINCHWT ; RUN;

************************************************************************************;
DATA OUT.BACKWARD_AHS2003_2005; SET BACKWARD_AHS2003_2005;

/***** BLSTATUS CODE *****/
/*BLSTATUS = Backward status = status of a 2005 unit in 2003
1 = in 2005 stock and in 2003 stock (SAME = 1)

2 = in 2005 stock but not in 2003 stock; added by conversion or merger 
(INTADD =1 AND (6 LE IN05_REUAD LE 8))

3 = in 2005 stock but not in 2003 stock; added by house or mobile home move in 
(INTADD = 1 AND (IN03_NOINT = 13 OR 4 LE IN05_REUAD LE 5)) 

4 = in 2005 stock but not in 2003 stock; added from nonresidential use 
(INTADD = 1 AND ((IN03_NOINT = 12 OR IN03_NOINT = 14) OR IN05_REUAD = 9))

5 = in 2005 stock but not in 2003 stock; added by new construction (INTNC = 1)

6 = in 2005 stock but not in 2003 stock; added by other reason (includes temporary 
losses in 2003 stock) (INTADD = 1 AND (10 LE IN05_REUAD LE 11) OR (15 LE IN03_NOINT LE 17)))

*/

IF SAME=1 THEN BLSTATUS=1;

IF INTADD=1 AND (6 LE IN05_REUAD LE 8) THEN BLSTATUS=2;

IF INTADD=1 AND (IN03_NOINT=13 OR (4 LE IN05_REUAD LE 5)) THEN BLSTATUS=3;

IF INTADD=1 AND ((IN03_NOINT=12 OR IN03_NOINT=14) OR IN05_REUAD=9) THEN BLSTATUS=4;

IF INTNC=1 AND (IN05_REUAD=3 OR (10 LE IN03_NOINT LE 11)) THEN BLSTATUS=5;

IF INTADD=1 AND ( (10 LE IN05_REUAD LE 11) OR (15 LE IN03_NOINT LE 17)) THEN BLSTATUS=6;RUN;


*****************************************************************************;

PROC CONTENTS DATA=OUT.BACKWARD_AHS2003_2005;RUN;

******************************************************************************;






