options pagesize=100 linesize=130 compress=yes nocenter NODATE MPRINT MLOGIC;

libname OUT 'C:\Fred\AHS_03_05';
*******************************************************************************;

PROC SORT DATA=OUT.FORWARD_AHS2003_2005_revised; BY CONTROL;RUN;
PROC SORT DATA=OUT.BACKWARD_AHS2003_2005_revised; BY CONTROL;RUN;


DATA BOTH_03_05; MERGE OUT.FORWARD_AHS2003_2005_revised (IN=ID3) 
OUT.BACKWARD_AHS2003_2005_revised (IN=ID5); BY CONTROL;
if ID3=1 then IN03=1; if ID5=1 then IN05=1;run;


*******************************************************************************************;
DATA weight; SET OUT.BOTH_AHS2003_AHS2005;
KEEP  CONTROL  IN03_WEIGHT IN05_WEIGHT;RUN;

PROC SORT DATA=weight; BY CONTROL;RUN;

DATA BOTH_03_05;merge weight (in=j) BOTH_03_05 (in=k);by control; if k=1;run;
*****************************************************************************;
DATA BOTH_03_05; SET BOTH_03_05;

/***** FLSTATUS CODE *****/
/*FLSTATUS = Forward status = status of a 2003 unit in 2005
1 = in 2003 stock and in 2005 stock (SAME=1)

2 = in 2003 stock but a loss in 2005 due to conversion or merger
 (INTLOSS=1 AND 32 LE IN05_NOINT LE 33)

3 = in 2003 stock but a loss in 2005 due to house or mobile home move out 
(INTLOSS=1 AND IN05_NOINT = 31)

4 = in 2003 stock but a loss in 2005 due to nonresidential use 
(INTLOSS=1 AND (IN05_NOINT = 12 OR IN05_NOINT = 14))

5 = in 2003 stock but a loss in 2005 due to demolition or disaster 
(INTLOSS=1 AND IN05_NOINT = 30)

6 = in 2003 stock but a loss in 2005 due to damage or condemnation 
(INTLOSS=1 AND 15 LE IN05_NOINT LE 16)

7 = in 2003 stock but a loss in 2005 for other reason 
(INTLOSS=1 AND (10 LE IN05_NOINT LE 11 OR IN05_NOINT=13 OR IN05_NOINT=17 OR
 36 LE IN05_NOINT LE 39))

*/

IF SAME=1 THEN FLSTATUS=1;

IF INTLOSS=1 AND (32 LE IN05_NOINT LE 33) THEN FLSTATUS=2; /*merging or conversion*/ 

IF INTLOSS=1 AND (IN05_NOINT=31) THEN FLSTATUS=3; /* house or mobile home moved */

IF INTLOSS=1 AND (IN05_NOINT=12 OR IN05_NOINT=14) THEN FLSTATUS=4; /* nonresidential */

IF INTLOSS=1 AND (IN05_NOINT=30) THEN FLSTATUS=5; /* demolished or destroyed */

IF INTLOSS=1 AND (15 LE IN05_NOINT LE 16) THEN FLSTATUS=6; /* uninhabit */

IF INTLOSS=1 AND ((10 LE IN05_NOINT LE 11) OR IN05_NOINT=13 OR IN05_NOINT=17 OR 
(36 LE IN05_NOINT LE 39)) THEN FLSTATUS=7;  /* other */


******************************************************************************;
/***** BLSTATUS CODE *****/
/*BLSTATUS = Backward status = status of a 2005 unit in 2003
1 = in 2005 stock and in 2003 stock (SAME = 1)

2 = in 2005 stock but not in 2003 stock; added by conversion or merger 
(INTADD =1 AND (6 LE IN05_REUAD LE 8))

3 = in 2005 stock but not in 2003 stock; added by house or mobile home move in 
(INTADD = 1 AND (IN03_NOINT = 13 OR 4 LE IN05_REUAD LE 5)) 

4 = in 2005 stock but not in 2003 stock; added from nonresidential use 
(INTADD = 1 AND ((IN03_NOINT = 12 OR IN03_NOINT = 14) OR IN05_REUAD = 9))

5 = in 2005 stock but not in 2003 stock; added by new construction (INTNC = 1)

6 = in 2005 stock but not in 2003 stock; added by other reason (includes temporary 
losses in 2003 stock) (INTADD = 1 AND (10 LE IN05_REUAD LE 11) OR (15 LE IN03_NOINT LE 17)))

*/

IF SAME=1 THEN BLSTATUS=1;

IF INTADD=1 AND (6 LE IN05_REUAD LE 8) THEN BLSTATUS=2;

IF INTADD=1 AND (IN03_NOINT=13 OR (4 LE IN05_REUAD LE 5)) THEN BLSTATUS=3;

IF INTADD=1 AND ((IN03_NOINT=12 OR IN03_NOINT=14) OR IN05_REUAD=9) THEN BLSTATUS=4;

IF INTNC=1 AND (IN05_REUAD=3 OR (10 LE IN03_NOINT LE 11)) THEN BLSTATUS=5;

IF INTADD=1 AND ( (10 LE IN05_REUAD LE 11) OR (15 LE IN03_NOINT LE 17)) THEN BLSTATUS=6;


*****************************************************************************;

/***** FLRENT CODE *****/


FLRENT=.;

 /**1=a non-market rental unit in 2001**/

IF  IN03_OWNRENT='2' 
AND (IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1) THEN  FLRENT=1;

/*** 2=an extremely low rent rental unit in 2001**/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1) 
AND IN03_COST07RELAMICAT=1 THEN FLRENT=2;

 /***3=a very low rent rental unit in 2001**/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1) 
AND IN03_COST07RELAMICAT=2 THEN FLRENT=3;

/*** 4=a low rent rental unit in 2001***/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1)
AND IN03_COST07RELAMICAT=3 THEN FLRENT=4;

/*** 5=a moderate rent rental unit in 2001***/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1)
AND IN03_COST07RELAMICAT=4 THEN FLRENT=5;

/*** 6=a high rent rental unit in 2001**/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1)
AND IN03_COST07RELAMICAT=5 THEN FLRENT=6;

/*** 7=a very high rent rental unit in 2001***/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1)
AND IN03_COST07RELAMICAT=6 THEN FLRENT=7;

/***8=an extremely high rent rental unit in 2001***/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1) 
AND IN03_COST07RELAMICAT=7 THEN FLRENT=8;


*******************************************************************************;

/***** BLRENT CODE *****/

BLRENT=.;

/***1=a non-market rental unit in 2003 ***/ 

IF IN05_OWNRENT='2' 
AND (IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) THEN BLRENT=1;

/***2=an extremely low rent rental unit in 2003***/ 

IF IN05_OWNRENT='2' 
AND NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=1 THEN BLRENT=2;
 

/***3=a very low rent rental unit in 2003 ***/

IF IN05_OWNRENT='2' 
AND NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=2 THEN BLRENT=3;


/***4=a low rent rental unit in 2003 ***/ 

IF IN05_OWNRENT='2' 
AND NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=3 THEN BLRENT=4;
 

/***5=a moderate rent rental unit in 2003 ***/

IF IN05_OWNRENT='2' 
AND NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=4 THEN BLRENT=5;


/***6=a high rent rental unit in 2003 ***/

IF IN05_OWNRENT='2' 
AND NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=5 THEN BLRENT=6;


/****7=a very high rent rental unit in 2003 ***/

IF IN05_OWNRENT='2' 
AND NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=6 THEN BLRENT=7;
 

/****8=an extremely high rent rental unit in 2003***/ 

IF IN05_OWNRENT='2' 
AND NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=7 THEN BLRENT=8;
*********************************************************************************;

/***FLAFFORD=Forward rental affordability=affordability status in 2003 of 2001
 (2001 or 2001) rental unit***/

FLAFFORD=.;

/***1=a non-market rental unit in 2003 ***/

IF IN05_OWNRENT='2' AND 
(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) THEN FLAFFORD=1;

/***2=an extremely low rent rental unit in 2003**/

IF IN05_OWNRENT='2' 
AND NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=1 THEN FLAFFORD=2;

/***3=a very low rent rental unit in 2003 ***/

IF IN05_OWNRENT='2' 
AND NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=2 THEN FLAFFORD=3;

/***4=a low rent rental unit in 2003 ***/

IF IN05_OWNRENT='2' AND 
NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=3 THEN FLAFFORD=4; 

/***5=a moderate rent rental unit in 2003 ***/

IF IN05_OWNRENT='2' AND 
NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=4 THEN FLAFFORD=5;


/****6=a high rent rental unit in 2003 ***/

IF IN05_OWNRENT='2' AND 
NOT(IN05_TENURE='3' OR IN05_Assisted=1OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=5 THEN FLAFFORD=6;

/***7=a very high rent rental unit in 2003****/ 

IF IN05_OWNRENT='2' 
AND NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=6 THEN FLAFFORD=7;

/***8=an extremely high rent rental unit in 2003 ***/

IF IN05_OWNRENT='2' 
AND NOT(IN05_TENURE='3' OR IN05_Assisted=1 OR IN05_RENT=1) 
AND  IN05_COST08RELAMICAT=7 THEN FLAFFORD=8;

/***9=an owner occupied unit in 2003 ***/

IF (IN05_OWNRENT='1') THEN FLAFFORD=9;

/****10=a vacant or seasonal unit in 2003***/

IF (IN05_VACANCY GE 6) OR (IN05_OWNRENT=. AND IN05_VACANCY LE 5) THEN FLAFFORD=10; 

/***11=a unit not in the 2003 stock ***/

IF (10 LE IN05_NOINT) THEN FLAFFORD=11;

*********************************************************************************;

/***BLAFFORD=Backward rental affordability=

affordability status in 2001 (2001 or 2001) of a 2003 rental unit***/

BLAFFORD=.;

/***1=a non-market rental unit in 2001 ***/

IF IN03_OWNRENT='2' 
AND (IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1) THEN BLAFFORD=1;

/***2=an extremely low rent rental unit in 2001 ***/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1) 
AND IN03_COST07RELAMICAT=1 THEN BLAFFORD=2;

/***3=a very low rent rental unit in 2001***/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1) 
AND IN03_COST07RELAMICAT=2 THEN BLAFFORD=3;

/***4=a low rent rental unit in 2001***/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1) 
AND IN03_COST07RELAMICAT=3 THEN BLAFFORD=4;

/***5=a moderate rent rental unit in 2001 ***/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1) 
AND IN03_COST07RELAMICAT=4 THEN BLAFFORD=5;

/***6=a high rent rental unit in 2001 ***/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1) 
AND IN03_COST07RELAMICAT=5 THEN BLAFFORD=6;

/****7=a very high rent rental unit in 2001 ****/

IF IN03_OWNRENT='2' 
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1) 
AND IN03_COST07RELAMICAT=6 THEN BLAFFORD=7;

/***8=an extremely high rent rental unit in 2001 ***/

IF IN03_OWNRENT='2'  
AND NOT(IN03_TENURE='3' OR IN03_Assisted=1 OR IN03_RENT=1) 
AND IN03_COST07RELAMICAT=7 THEN BLAFFORD=8;

/***9=an owner occupied unit in 2001   ***/

IF IN03_OWNRENT='1' THEN BLAFFORD=9;

/***10=a vacant or seasonal unit in 2001 ***/

IF (IN03_VACANCY GE 6) OR (IN03_OWNRENT=. AND IN03_VACANCY LE 5) THEN BLAFFORD=10; 

/***11=a unit added by new construction ***/

IF INTNC=1 THEN BLAFFORD=11;

/***12=a unit not in the 2001 stock but not added through new construction ***/

IF INTADD=1 THEN BLAFFORD=12;

RUN;

*****************************************************************************;
DATA OUT.CINCH_03_05; SET BOTH_03_05;
KEEP CONTROL IN03 IN05 FLSTATUS FLRENT FLAFFORD 
FLRENT BLSTATUS BLRENT BLAFFORD BLRENT IN03_WGT90GEO IN05_WGT90GEO IN03_WEIGHT IN05_WEIGHT 
FLCINCHWT BLCINCHWT; RUN;
*****************************************************************************;


/**** Frequency distribution using FLCINCHWT AND IN03_WEIGHT  ***/


Title 'Weighted Frequeny distribution of  FLRENT using IN03_WEIGHT ';run;

PROC FREQ DATA=OUT.CINCH_03_05 (where=(IN03=1)) FORMCHAR(1,2,7)='|-+';
TABLE FLSTATUS FLRENT FLAFFORD 
FLRENT*FLAFFORD/NOPERCENT NOROW NOCOL;WEIGHT IN03_WEIGHT ;RUN; 

**********************************************************************************;



/**** Frequency distribution using BLCINCHWT AND IN05_WEIGHT  ***/

Title 'Weighted Frequeny distribution of  BLRENT using IN05_WEIGHT ';run;

PROC FREQ DATA=OUT.CINCH_03_05 (where=(IN05=1)) FORMCHAR(1,2,7)='|-+';
TABLE BLSTATUS BLRENT BLAFFORD
BLRENT*BLAFFORD/NOPERCENT NOROW NOCOL;WEIGHT IN05_WEIGHT ;RUN; 




